<%--7d56a51a174396e9ed8751c4557844c22011/7/20 22:08:18--%>
<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="Kcms.UI.news" %>
<%@ Import namespace="Kcms.Model" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/*
	本页面代码由Kcms模板引擎生成于 2011/7/21 6:47:45.
	*/
	base.OnInit(e);
	pageBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	pageBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	pageBuilder.Append("<head>\r\n");
	pageBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	pageBuilder.Append("<title>");
	pageBuilder.Append(title.ToString());
	pageBuilder.Append("</title>\r\n");
	pageBuilder.Append("<meta name=\"keywords\" content=\"");
	pageBuilder.Append(keywords.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<meta name=\"description\" content=\"");
	pageBuilder.Append(description.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<link href=\"templates/default/styles/kcms.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n");
	pageBuilder.Append("<script src=\"/scripts/jquery-1.4.1.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\">\r\n");
	pageBuilder.Append("    $(function () {\r\n");
	pageBuilder.Append("        $(\"#stype\").hover(\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideDown(\"normal\");\r\n");
	pageBuilder.Append("        },\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideUp(\"normal\");\r\n");
	pageBuilder.Append("        });\r\n");
	pageBuilder.Append("    });\r\n");
	pageBuilder.Append("    function stys(h, v) {\r\n");
	pageBuilder.Append("        $(\".meun\").html(h);\r\n");
	pageBuilder.Append("        $(\"#searchtype\").val(v);\r\n");
	pageBuilder.Append("    }\r\n");
	pageBuilder.Append("</");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</head>\r\n");
	pageBuilder.Append("<body>\r\n");
	pageBuilder.Append("<div class=\"topbar\">\r\n");
	pageBuilder.Append("  <div class=\"mainbox\"><p>\r\n");

	if (userid==0)
	{

	pageBuilder.Append("    <a href=\"login.aspx\">登录</a> | <a href=\"register.aspx\">注册</a>\r\n");

	}
	else
	{

	pageBuilder.Append("    欢迎您! <em>☺</em> ");
	pageBuilder.Append(username.ToString());
	pageBuilder.Append(" | <a href=\"/usercenter/\">用户中心</a> | <a href=\"loginout.aspx\">退出?</a>\r\n");

	}	//end if

	pageBuilder.Append("  </p></div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<div class=\"mainbox\">\r\n");
	pageBuilder.Append("  <div class=\"logobar clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"logo\"><a href=\"\" title=\"快聚合网赚系统\">快聚合网赚系统</a></div>\r\n");
	pageBuilder.Append("    <div class=\"search\">\r\n");
	pageBuilder.Append("    <div class=\"clearfix\">\r\n");
	pageBuilder.Append("    <form action=\"search.aspx\" method=\"get\">\r\n");
	pageBuilder.Append("        <div class=\"sea\">\r\n");
	pageBuilder.Append("        <div id=\"stype\">\r\n");
	pageBuilder.Append("        <a href=\"javascript:;\" class=\"meun\">资讯</a>\r\n");
	pageBuilder.Append("        <ul>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('专题', 0)\">专题</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('资讯', 1)\">资讯</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('博文', 2)\">博文</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('问答', 3)\">问答</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('图片', 4)\">图片</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('视频', 5)\">视频</a></li>\r\n");
	pageBuilder.Append("        </ul>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"searchtype\" name=\"t\" type=\"hidden\" value=\"1\" />\r\n");
	pageBuilder.Append("        <input id=\"searchkeys\" name=\"wd\" type=\"text\" />\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"submit\" type=\"submit\" value=\"搜索\" class=\"sea_doc\"/>\r\n");
	pageBuilder.Append("    </form>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <p>\r\n");

	foreach(SearchInfo search in SearchTop(6,false))
	{
	pageBuilder.Append("    <a href=\"search.aspx?t=");
	pageBuilder.Append(search.t.ToString().Trim());
	pageBuilder.Append("&wd=\r\n");
pageBuilder.Append(Server.UrlEncode(search.wd));
	pageBuilder.Append("\">");
	pageBuilder.Append(search.wd.ToString().Trim());
	pageBuilder.Append("</a>\r\n");

	}	//end if

	pageBuilder.Append("    </p>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"nav\">\r\n");
	pageBuilder.Append("    <ul class=\"clearfix\">\r\n");
	pageBuilder.Append("     <li><a href=\"/\">首页</a></li>\r\n");

	if (indexType==1)
	{

	pageBuilder.Append("     <li><a href=\"home.aspx\">综合页</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"news.aspx\">资讯</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"bowen.aspx\">博文</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"pic.aspx\">图片</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"video.aspx\">视频</a></li>\r\n");

	if (indexType==0)
	{

	pageBuilder.Append("     <li><a href=\"ask.aspx\">问答</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"special.aspx\">专题</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"tag.aspx\">标签</a></li>\r\n");
	pageBuilder.Append("    </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"channel\">\r\n");
	pageBuilder.Append("  <ul class=\"clearfix\">\r\n");

	foreach(ChannelInfo channel in channelList())
	{
	pageBuilder.Append("    <li><a href=\"channel-");
	pageBuilder.Append(channel.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(channel.channelname.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("  </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div><a href=\"http://www.kuaishow.com/\" target=\"_blank\"><img src=\"templates/default/images/ad-banner.jpg\" width=\"950\" height=\"80\" border=\"0\" /></a></div>\r\n");

	pageBuilder.Append("  <div class=\"ilist clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"left clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("              <div class=\"tit\">资讯列表</div>\r\n");
	pageBuilder.Append("              <div class=\"cont\">\r\n");
	pageBuilder.Append("              <ul class=\"newslist clearfix\">\r\n");

	foreach(NewsInfo news in newsList)
	{
	pageBuilder.Append("              <li>\r\n");
	pageBuilder.Append("                  <h3><a href=\"newss-");
	pageBuilder.Append(news.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(news.title.ToString().Trim());
	pageBuilder.Append("</a></h3>\r\n");
	pageBuilder.Append("                  <p>发表时间：");
	pageBuilder.Append(news.addtime.ToString().Trim());
	pageBuilder.Append("</p>\r\n");
	pageBuilder.Append("                  <p class=\"xjs\">");
	pageBuilder.Append(news.intro.ToString().Trim());
	pageBuilder.Append("</p>\r\n");
	pageBuilder.Append("              </li>\r\n");

	}	//end loop

	pageBuilder.Append("              </ul>\r\n");
	pageBuilder.Append("              </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        ");
	pageBuilder.Append(pager().ToString());
	pageBuilder.Append("\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"right\">\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("              <div class=\"tit\">资讯标签</div>\r\n");
	pageBuilder.Append("              <div class=\"cont\">\r\n");
	pageBuilder.Append("    <ul class=\"tags clearfix\">\r\n");

	foreach(TagInfo tag in TagTop(30,1,false))
	{
	pageBuilder.Append("    <li><a href=\"tags-");
	pageBuilder.Append(tag.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(tag.tagname.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("    </ul>\r\n");
	pageBuilder.Append("              </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("              <div class=\"tit\">随机资讯</div>\r\n");
	pageBuilder.Append("              <div class=\"cont\">\r\n");
	pageBuilder.Append("              <ul class=\"toprnd\">\r\n");

	foreach(NewsInfo news in NewsTop(10,0,0,0,true,false))
	{
	pageBuilder.Append("    <li><a href=\"newss-");
	pageBuilder.Append(news.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(news.title.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("              </ul>\r\n");
	pageBuilder.Append("              </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"footer\">\r\n");
	pageBuilder.Append("    ");
	pageBuilder.Append(copyright.ToString());
	pageBuilder.Append("\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\" src=\"http://v1.jiathis.com/code/jia.js\" charset=\"utf-8\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</body>\r\n");
	pageBuilder.Append("</html>\r\n");

	Response.Write(pageBuilder.ToString());
}
</script>
